python-flask-babel_0.11.2-2_all.deb


Advertisement

Description

python-flask-babel - internationalization and localization support for Flask (Python 2)

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-flask-babel
Package version 0.11.2
Package release 2
Package architecture all
Package type deb
Installed size 46 B
Download size 9.53 KB
Official Mirror archive.ubuntu.com
Flask-Babel is an extension to Flask that adds internationalization and
localization support. It has a friendly interface to gettext translations and
supports date formatting with timezones.
This is the Python 2 version of the package.

Alternatives

Package Version Architecture Repository
python-flask-babel_0.11.2-2_all.deb 0.11.2 all Ubuntu Universe
python-flask-babel - - -

Requires

Name Value
python-babel >= 2.3
python-flask >= 0.8
python-jinja2 -
python:any << 2.8
python:any >= 2.7.5-5~

Download

Type URL
Binary Package python-flask-babel_0.11.2-2_all.deb
Source Package flask-babel

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-flask-babel deb package:
    # sudo apt-get install python-flask-babel

Files

Path
/usr/lib/python2.7/dist-packages/Flask_Babel-0.11.2.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/Flask_Babel-0.11.2.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/Flask_Babel-0.11.2.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/Flask_Babel-0.11.2.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/Flask_Babel-0.11.2.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/flask_babel/__init__.py
/usr/lib/python2.7/dist-packages/flask_babel/_compat.py
/usr/lib/python2.7/dist-packages/flask_babel/speaklater.py
/usr/share/doc/python-flask-babel/changelog.Debian.gz
/usr/share/doc/python-flask-babel/copyright

Changelog

2017-06-16 - Sebastian Ramacher <sramacher@debian.org>
flask-babel (0.11.2-2) unstable; urgency=medium
* Upload to unstable.
2017-04-24 - Sebastian Ramacher <sramacher@debian.org>
flask-babel (0.11.2-1) experimental; urgency=medium
* New upstream release.
* debian/{control,compat}: Bump debhelper compat to 10.
2016-05-30 - Sebastian Ramacher <sramacher@debian.org>
flask-babel (0.11.1-1) unstable; urgency=medium
* New upstream release.
* debian/control: Remove python{,3}-speaklater from B-D. The necessary parts
were integrated into flask-babel.
2016-05-16 - Sebastian Ramacher <sramacher@debian.org>
flask-babel (0.10.0-1) unstable; urgency=medium
* New upstream release.
* debian/control:
- Update Vcs-Got.
- Bump Standards-Version.
- Update Homepage.
- Update Description.
- Bump dependencies on python-babel to >= 2.3.
* debian/python-flask-babel-doc.docs: Update path to docs.
2016-01-27 - Jan Dittberner <jandd@debian.org>
flask-babel (0.9-2.1) unstable; urgency=medium
* Non-maintainer upload.
* Add Python3 support (Closes: #804895)
* switch to dh-python
2015-10-28 - Sebastian Ramacher <sramacher@debian.org>
flask-babel (0.9-2) unstable; urgency=medium
* debian/control:
- Move package to collab-maint.
- Add dh-python to Build-Depends.
- Bump Standards-Version to 3.9.6.
* debian/{rules,python-flask-babel.pyremove}: Use dh_python2 to remove
SOURCES.txt. (Closes: #803262)
* debian/watch: Use PyPI redirector.
2013-10-07 - Sebastian Ramacher <sramacher@debian.org>
flask-babel (0.9-1) unstable; urgency=low
* New upstream release. (Closes: #718419)
* debian/patches:
- flask-0.8-extension-scheme.patch: Removed, no longer needed.
- sphinx-default-theme.patch: Use default sphinx theme since flask_small
is not contained in the source tarball.
* debian/control:
- Bump python-babel in Build-Depends to (>= 1.0) and remove python-tz.
- Add versioned dependencies for python-babel.
* debian/copyright:
- Update copyright years.
- Add Daniel Neuhäuser.
2013-05-09 - Sebastian Ramacher <sramacher@debian.org>
flask-babel (0.8-2) unstable; urgency=low
* Upload to unstable.
2013-04-03 - Sebastian Ramacher <sramacher@debian.org>
flask-babel (0.8-1) experimental; urgency=low
* Initial release. (Closes: #703533)

See Also

Package Description
python-flask-bcrypt-doc_0.7.1-1_all.deb Flask extension that provides bcrypt hashing utilities (doc)
python-flask-bcrypt_0.7.1-1_all.deb Python 2 flask extension that provides bcrypt hashing utilities
python-flask-compress_1.4.0-1_all.deb Compress responses in a Flask app with gzip (Python 2)
python-flask-flatpages-doc_0.6-1_all.deb Provides flat static pages to a Flask application (doc)
python-flask-flatpages_0.6-1_all.deb Provides flat static pages to a Python 2 Flask application
python-flask-htmlmin_1.2-1_all.deb Minimize render templates html
python-flask-httpauth_3.2.1-1_all.deb Basic and Digest HTTP authentication for Flask routes
python-flask-limiter-doc_0.9.3-1_all.deb Rate-limiting for Flask routes - Documentation
python-flask-limiter_0.9.3-1_all.deb Rate-limiting for Flask routes - Python 2.X
python-flask-migrate_2.0.4-0ubuntu1_all.deb SQLAlchemy database migrations for Flask applications using Alembic
python-flask-mongoengine_0.9.3-1_all.deb Extension that provides integration with MongoEngine (Python 2)
python-flask-oldsessions_0.10+git20121007-1_all.deb Provides a session class that works like the one before 0.10
python-flask-openid-doc_1.2.5+dfsg-2_all.deb OpenID support for Flask applications (documentation)
python-flask-openid_1.2.5+dfsg-2_all.deb OpenID support for Flask applications (Python 2)
python-flask-principal_0.4.0-1build1_all.deb identity management for Flask
Advertisement
Advertisement